]> SALOME platform Git repositories - tools/sat_salome.git/commitdiff
Salome HOME
spns #33457: add packagespy for new SOLVERLAB GUI interface
authorNabil Ghodbane <nabil.ghodbane@cea.fr>
Mon, 23 Jan 2023 12:29:33 +0000 (13:29 +0100)
committerNabil Ghodbane <nabil.ghodbane@cea.fr>
Mon, 23 Jan 2023 12:29:33 +0000 (13:29 +0100)
applications/SALOME-master-MPI.pyconf
applications/SALOME-master-native.pyconf
applications/SALOME-master.pyconf
products/SOLVERLAB.pyconf
products/compil_scripts/omniORB.sh
products/compil_scripts/packagespy.sh [new file with mode: 0755]
products/env_scripts/packagespy.py [new file with mode: 0644]
products/packagespy.pyconf [new file with mode: 0644]

index f58d381c972db0d8fcb025f6c9eb564aa8ae8333..1e6a1c6e86bbca58993395174e8fce08a0fed5a6 100644 (file)
@@ -96,6 +96,7 @@ APPLICATION :
         openVKL: '0.11.0'
         ospray : '2.4.0'
         packaging : '17.1'
+        packagespy : '9bb05ac'
         pandas : '0.25.2'
         patsy : '0.5.2'
         ParaView : {tag:'5.11.0', base: 'no',  section: 'version_5_11_0_MPI', hpc: 'yes'}
index a08908acc69faf5e4613805f87ef1a45b81f67c1..5186a63026e44b31ab0552b479fb369d440c15bf 100644 (file)
@@ -94,6 +94,7 @@ APPLICATION :
         openturns: '1.19'
         ospray : '2.4.0'
         packaging : 'native'
+        packagespy : '9bb05ac'
         pandas : 'native'
         ParaView : {tag:'5.11.0', base: 'no',  section: 'version_5_11_0_MPI', hpc: 'yes'}
         PERSALYS: 'v13.0'
index 9f53fc375456c53b247fad9448d998df2025f2fe..73f303154bf3d393cfb7342b1d3a7b9197bfc1e5 100644 (file)
@@ -96,6 +96,7 @@ APPLICATION :
         openVKL: '0.11.0'
         ospray : '2.4.0'
         packaging : '17.1'
+        packagespy : '9bb05ac'
         pandas : '0.25.2'
         patsy : '0.5.2'
         ParaView : {tag:'5.11.0', base: 'no',  section: 'version_5_11_0_MPI', hpc: 'yes'}
index 0e1d262b9778d478f98e77c43f3b4972e72a10cb..d61c4073c82e212026e2195851f055fb06b90df3 100644 (file)
@@ -27,7 +27,8 @@ default :
         'GUI',
         'MEDCOUPLING'
     ]
-    build_depend : ["cmake", "swig", "doxygen", "graphviz","cppunit"]   
+    build_depend : ["cmake", "swig", "doxygen", "graphviz","cppunit"]
+    opt_depend : ['packagespy']
     # mscgen
     source_dir : $APPLICATION.workdir + $VARS.sep + 'SOURCES' + $VARS.sep + $name
     build_dir : $APPLICATION.workdir + $VARS.sep + 'BUILD' + $VARS.sep + $name
index 632712f5ec28360c27becc9d7543736735e2ba09..f72e3c0d02bf9be3014688085bba16181afda072 100755 (executable)
@@ -42,13 +42,12 @@ if version_ge $VERSION "4.1" ; then
     echo
     echo "*** fix headers"
     cd $PRODUCT_INSTALL/bin
-
     pyVersionMajor=python$($PYTHONBIN -c 'import sys; print(".".join(map(str, sys.version_info[0:1])))')
     if [ $? -ne 0 ]; then
-       echo ERROR: Failed to extract major Python version -  assuming Python version equal to 3...
-       pyVersionMajor=python3
+             echo ERROR: Failed to extract major Python version -  assuming Python version equal to 3...
+             pyVersionMajor=python3
     elif [ "${pyVersionMajor}" == "python2" ]; then
-       pyVersionMajor=python
+             pyVersionMajor=python
     fi
     echo INFO: Python version major: ${pyVersionMajor}
     sed -e "s%#\!.*python[0-9]*%#\!/usr/bin/env ${pyVersionMajor}%" omniidl > _omniidl
diff --git a/products/compil_scripts/packagespy.sh b/products/compil_scripts/packagespy.sh
new file mode 100755 (executable)
index 0000000..2edb32c
--- /dev/null
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+echo "##########################################################################"
+echo "packagespy" $VERSION
+echo "##########################################################################"
+
+# nothing to be done here, simply copy sources to installation directory
+cp -rf $SOURCE_DIR/packagespy $PRODUCT_INSTALL
+if [ $? -ne 0 ]
+then
+    echo "ERROR: could not copy to $PRODUCT_INSTALL"
+    exit 1
+fi
+cd $PRODUCT_INSTALL/
+PYTHON=${PYTHONBIN##*/}
+grep -rl '#!/usr/bin/env python' . |xargs sed -i "s%#\!/usr/bin/env python/#\!/usr/bin/env ${PYTHON}/g"
+
+echo
+echo "########## END"
diff --git a/products/env_scripts/packagespy.py b/products/env_scripts/packagespy.py
new file mode 100644 (file)
index 0000000..73a4f78
--- /dev/null
@@ -0,0 +1,12 @@
+#!/usr/bin/env python
+#-*- coding:utf-8 -*-
+
+import os
+import platform
+
+def set_env(env, prereq_dir, version):
+    env.set("PACKAGESPY_ROOT_DIR",prereq_dir)
+    env.prepend('PYTHONPATH',prereq_dir)
+
+def set_nativ_env(env):
+    pass
diff --git a/products/packagespy.pyconf b/products/packagespy.pyconf
new file mode 100644 (file)
index 0000000..f383b6b
--- /dev/null
@@ -0,0 +1,25 @@
+default :
+{
+    name : "packagespy"
+    build_source : "script"
+    compil_script : $name + $VARS.scriptExtension
+    get_source : "archive"
+    environ :
+    {
+       env_script : $name + ".py"
+    }
+    patches : [] 
+    depend : ["python", "setuptools"]
+    source_dir : $APPLICATION.workdir + $VARS.sep + 'SOURCES' + $VARS.sep + $name
+    build_dir : $APPLICATION.workdir + $VARS.sep + 'BUILD' + $VARS.sep + $name
+    install_dir : 'base'
+    properties :
+    {
+      incremental : "yes"
+    }
+}
+
+version_9bb05ac :
+{
+    archive_info : {archive_name : "packagespy-9bb05ac.tar.gz"}
+}